package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 项目提成比例（市场人员）
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目提成比例（市场人员）")
public class BrokerageMarketerRatio extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目类型字典id
     */
    private Long itemCate;

    /**
     * 项目来源字典id
     */
    private Long itemSource;

    /**
     * 提成比例
     */
    @ImportCell
    @ExportCell(columnName = "提成比例")
    private Double ratio;

    /**
     * 备注
     */
    @ImportCell
    @ExportCell(columnName = "备注")
    private String remark;

}
