package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 项目人员阶段参与表
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目人员阶段参与表")
public class ItemStageUser extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 项目阶段id
     */
    private Long stageId;

    /**
     * 提成比例
     */
    @ImportCell
    @ExportCell(columnName = "提成比例")
    private Double weight;


}
