package com.dayou.bo;

import com.dayou.entity.ItemBrokerageDetail;
import com.dayou.enums.MergeKeyInterface;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

import static com.dayou.common.Constants.MERGE_SYMBOL;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
@Data
@Builder
public class BrokerageDetailBO extends ItemBrokerageDetail implements MergeKeyInterface {

    /**
     * 市场人员是否可以预提
     */
    private Boolean marketerAdvanceBrokerageAble;

    /**
     * 项目提成状态
     */
    private String itemBrokerageStatus;

    /**
     * 本年回款目标金额
     */
    private BigDecimal paymentTarget;

    /**
     * 当前回款金额
     */
    private BigDecimal currentPayment;

    /**
     * 项目类型id
     */
    private Long cate;

    /**
     * 业务来源id
     */
    private Long businessSource;

    /**
     * 合同金额
     */
    private BigDecimal amount;

    /**
     * 客户经理提成系数
     */
    private BigDecimal rate;

    /**
     * 项目id
     */
    private Long itemId;

    @Override
    public String mergeKey() {
        return this.cate +MERGE_SYMBOL+ this.businessSource;
    }
}
