package com.dayou.brokerage;

import com.dayou.bo.BrokerageDetailBO;
import com.dayou.brokerage.Factory.BrokerageCalculateFactory;
import com.dayou.dto.ItemDTO;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/3
 * created with IntelliJ IDEA.
 */
public interface BrokerageCalculator extends BrokerageCalculateFactory {

    /**
     * 预估提成金额
     */
    BrokerageDetailBO predictAmount(BrokerageDetailBO bo);

    /**
     * 实际提成金额
     */
    BigDecimal actualAmount(ItemDTO itemDTO);

    /**
     * 预提金额
     */
    BigDecimal advanceAmount();


    /**
     * 剩余未提金额
     */
    BigDecimal residueAmount();
}
