package com.dayou.brokerage.config;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dayou.common.BaseEntity;
import com.dayou.entity.BrokerageMarketerRatio;
import com.dayou.enums.MergeKeyInterface;
import com.dayou.service.IBrokerageMarketerRatioService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

import static com.dayou.common.Constants.MERGE_SYMBOL;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
public class BrokerageMarketerRatioSet extends BrokerageMarketerRatio implements MergeKeyInterface {


    @Autowired
    private IBrokerageMarketerRatioService brokerageMarketerRatioService;

    private ConcurrentHashMap<String, BigDecimal> ratioList = new ConcurrentHashMap<String,BigDecimal>(256);


    @Override
    public String mergeKey() {
        return super.getItemCate() +MERGE_SYMBOL+ super.getItemSource();
    }

    public void loadRatioList(){
        List<BrokerageMarketerRatio> list = brokerageMarketerRatioService.list(new LambdaQueryWrapper<BrokerageMarketerRatio>()
                .eq(BaseEntity::getDeleted, Boolean.FALSE));
        list.stream().forEach(x->{
            BrokerageMarketerRatioSet brokerageMarketerRatioSet = new BrokerageMarketerRatioSet();
            BeanUtils.copyProperties(x,brokerageMarketerRatioSet);
            ratioList.put(brokerageMarketerRatioSet.mergeKey(),new BigDecimal(x.getRatio().toString()));
        });
    }

    public ConcurrentHashMap<String, BigDecimal> getRatioList() {
        return ratioList;
    }
}
